Subject: bug#20225: Email bug report because web-based bug tracking tool is down

From: "Nugent, Bill" <[email-masked]>
Date: Sun, 29 Mar 2015 13:09:04 +0000

In case I forget I wanted to report a bug with parted where Control-C is treated as an OK response.  I was testing how parted handled a corrupt primary GPT and was rewarded with parted asking if I wanted to use the backup GPT instead with the prompt: "OK/Cancel? " I typed Control-C and it took it as an OK response.

$ parted fu print unit s print unit chs print

WARNING: You are not superuser.  Watch out for permissions.

Error: The primary GPT table is corrupt, but the backup appears OK, so that will be used.

parted: invalid token: unit

OK/Cancel? ^C

Model:  (file)

Disk /path/to/changed/fu: 4001GB

Sector size (logical/physical): 512B/512B

Partition Table: gpt

Number  Start   End     Size    File system  Name      Flags

 1      20.5kB  32.9MB  32.9MB               FORBDLCS  msftdata

 2      32.9MB  500GB   500GB                P2        msftdata

 3      500GB   1000GB  500GB                P3        msftdata

 4      1000GB  1500GB  500GB                P4        msftdata

 5      1500GB  2000GB  500GB                P5        msftdata

 6      2000GB  2500GB  500GB                P6        msftdata

 7      2500GB  3000GB  500GB                P7        msftdata

 8      3000GB  3500GB  500GB                P8        msftdata

 9      3500GB  4000GB  500GB                P9        msftdata

Also was going to open an enhancement request for parted to force it to use the backup GPT no matter what the state of the MBR and primary GPT.  This would be useful if case the MBR and/or primary GPT were corrupt (think: "dd if=/dev/zero of=/dev/sdX bs=512 count 130" or something similar).

Bill